Page MenuHomePhabricator

Turn off writing to the old columns of templatelinks in beta and production
Open, MediumPublic

Description

After schema change is applied in in the wiki T312863: Schema change to change primary key of templatelinks

Progress:

  • s1: Not yet
  • s2: Done
  • s3: Not yet
    • Except on itwikisource and testwiki
  • s4: Not yet
  • s5: Done
  • s6: Not yet
  • s7: Not yet
  • s8: Next

Event Timeline

Ladsgroup triaged this task as Medium priority.Jul 12 2022, 3:22 PM
Ladsgroup added a project: DBA.

Change 813276 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] labs: Stop writing to the old fields of templatelinks

https://gerrit.wikimedia.org/r/813276

Change 813276 merged by jenkins-bot:

[operations/mediawiki-config@master] labs: Stop writing to the old fields of templatelinks

https://gerrit.wikimedia.org/r/813276

Mentioned in SAL (#wikimedia-releng) [2022-07-12T17:29:16Z] <Amir1> dropping tl_namespace and tl_title from templatelinks in fawiki (T312865)

Change 816811 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Stop writing to the old templatelinks field in testwiki

https://gerrit.wikimedia.org/r/816811

Change 816811 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to the old templatelinks field in testwiki

https://gerrit.wikimedia.org/r/816811

Change 816831 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/core@master] LinksUpdate: Last pieces of templatelinks migration

https://gerrit.wikimedia.org/r/816831

Change 816831 merged by jenkins-bot:

[mediawiki/core@master] LinksUpdate: Last pieces of templatelinks migration

https://gerrit.wikimedia.org/r/816831

Change 818191 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/core@master] [WIP] api: Support for links migration in ApiQueryBacklinks

https://gerrit.wikimedia.org/r/818191

Change 818191 merged by jenkins-bot:

[mediawiki/core@master] api: Support for links migration in ApiQueryBacklinks

https://gerrit.wikimedia.org/r/818191

Change 818562 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/core@wmf/1.39.0-wmf.22] api: Support for links migration in ApiQueryBacklinks

https://gerrit.wikimedia.org/r/818562

Change 818998 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Stop writing to the old templatelinks columns in itwikisource

https://gerrit.wikimedia.org/r/818998

Change 818998 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to the old templatelinks columns in itwikisource

https://gerrit.wikimedia.org/r/818998

Change 818562 merged by jenkins-bot:

[mediawiki/core@wmf/1.39.0-wmf.22] api: Support for links migration in ApiQueryBacklinks

https://gerrit.wikimedia.org/r/818562

Mentioned in SAL (#wikimedia-operations) [2022-08-01T08:47:19Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:818998|Stop writing to the old templatelinks columns in itwikisource (T312865)]] (duration: 03m 12s)

Mentioned in SAL (#wikimedia-operations) [2022-08-01T08:53:11Z] <ladsgroup@deploy1002> Synchronized php-1.39.0-wmf.22/includes/api: Backport: [[gerrit:818562|api: Support for links migration in ApiQueryBacklinks (T312865 T314112)]] (duration: 03m 01s)

Change 822037 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in s5

https://gerrit.wikimedia.org/r/822037

Change 822037 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in s5

https://gerrit.wikimedia.org/r/822037

Mentioned in SAL (#wikimedia-operations) [2022-08-10T08:35:21Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:822037|Stop writing to the old templatelinks fields in s5 (T312865)]] (duration: 03m 29s)

Has writing the old colums already stopped on dewiki? There are currently ~14000 empty ones via https://quarry.wmcloud.org/query/66578; by-article example: https://quarry.wmcloud.org/query/66579

Has writing the old colums already stopped on dewiki? There are currently ~14000 empty ones via https://quarry.wmcloud.org/query/66578; by-article example: https://quarry.wmcloud.org/query/66579

Yes, dewiki is part of s5

Okay, thanks. Thought there would be another announcement before it starts, but I haven't followed this process that close so I may have missed some previous messages and deadlines.

It's a bit hard to message for every change across all wikis and I'm planning to announce it in larger granularity (e.g. when data is migrated everywhere), I assumed people should watch the tickets in such cases instead. Sorry for the inconvenience

No problem, the maintainer of our most important template tool is informed and I'll check what has to be changed locally onwiki.

Change 822375 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in s2

https://gerrit.wikimedia.org/r/822375

Change 822375 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in s2

https://gerrit.wikimedia.org/r/822375

Mentioned in SAL (#wikimedia-operations) [2022-08-11T14:17:17Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:822375|Stop writing to the old templatelinks fields in s2 (T312865)]] (duration: 03m 25s)

Today there is an error in dewiki_p - Database

$ sql de
MariaDB [dewiki_p]> select * from templatelinks limit 1;
ERROR 1356 (HY000): View 'dewiki_p.templatelinks' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them

It strongly smells, that the (now obsolete) field tl_title is still adressed by that view (maybe tl_namespace too).

Today there is an error in dewiki_p - Database

$ sql de
MariaDB [dewiki_p]> select * from templatelinks limit 1;
ERROR 1356 (HY000): View 'dewiki_p.templatelinks' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them

It strongly smells, that the (now obsolete) field tl_title is still adressed by that view (maybe tl_namespace too).

Yes, the views need to be recreated for templatelinks table.

I'm on it, just needs the new wikis sanitation to be done.

Change 824404 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in wikidata and new wikis

https://gerrit.wikimedia.org/r/824404

Change 824404 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to the old templatelinks fields in wikidata and new wikis

https://gerrit.wikimedia.org/r/824404

Mentioned in SAL (#wikimedia-operations) [2022-08-18T08:26:43Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:824404|Stop writing to the old templatelinks fields in wikidata and new wikis (T312865)]] (duration: 03m 20s)